#!/bin/bash
#
# Osiris-Install by athlon1900
#
EMU=Camd_3.902.x86
case $1 in
install)
	if [ -f /var/bin/$EMU >>/dev/null 2>&1 ];
	then
		echo -e "\n\t\t\033[1;31;40m$EMU \033[1;37;40mbereits installiert\033[0m\n"
		exit 0
	fi
	echo -e "\n\t\t\033[1;37;40mInstalliere \033[1;32;40m$EMU\033[0m"
	chmod 755 camd3.config
	chmod 755 camd3.servers
	chmod 755 camd3.services
	chmod 755 camd3.users
	chmod 755 camd3.keys
	chmod 755 Camd_3.902.x86.rotate
	chmod 755 $EMU
	if [ -d /var/keys >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mOrdner \033[1;32;40m/var/etc \033[1;37;40mbereits vorhanden\033[0m"
	else
		mkdir /var/keys
	fi
	if [ -d /usr/cs/Cams/ >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mOrdner \033[1;32;40m/usr/cs/Cams/ \033[1;37;40mbereits vorhanden\033[0m"
	else
		mkdir /usr/cs/Cams/
	fi
	if [ -d /var/bin >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mOrdner \033[1;32;40m/var/bin \033[1;37;40mbereits vorhanden\033[0m"
	else
		mkdir /var/bin
	fi
	if [ -L /usr/local/keys >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mOrdner \033[1;32;40m/var/keys \033[1;37;40mbereits vorhanden\033[0m"
	else
		ln -s /var/keys /usr/local/keys
	fi
	if [ -f /var/keys/camd3.config >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mDatei \033[1;32;40m /var/keys/camd3.config \033[1;37;40mbereits vorhanden\033[0m"
	else
		cp camd3.config /var/keys
	fi
	if [ -f /var/keys/camd3.servers >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mDatei \033[1;32;40m /var/keys/camd3.servers \033[1;37;40mbereits vorhanden\033[0m"
	else
		cp camd3.servers /var/keys
	fi
	if [ -f /var/keys/camd3.services >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mDatei \033[1;32;40m /var/keys/camd3.services \033[1;37;40mbereits vorhanden\033[0m"
	else
		cp camd3.services /var/keys
	fi
	if [ -f /var/keys/camd3.users >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mDatei \033[1;32;40m /var/keys/camd3.users \033[1;37;40mbereits vorhanden\033[0m"
	else
		cp camd3.users /var/keys
	fi
	if [ -f /var/keys/camd3.keys >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mDatei \033[1;32;40m /var/keys/camd3.keys \033[1;37;40mbereits vorhanden\033[0m"
	else
		cp camd3.keys /var/keys
	fi
	cp $EMU /var/bin
	cp Camd_3.902.sh /usr/cs/Cams/
	cp Camd_3.902.x86.rotate /usr/cs/Cams/
	sed "s/##Installierte EMUs/##Installierte EMUs\n#\t$EMU/" /usr/cs/cs.conf > /cs.conf
	cp /cs.conf  /usr/cs/cs.conf
	rm /cs.conf
	echo -e "\t\t\033[1;37;40mInstallation des \033[1;32;40m$EMU \033[1;37;40merfolgreich\033[0m\n"
	;;
uninstall)
	if [ -f /var/bin/$EMU >>/dev/null 2>&1 ];
	then
		echo -e "\n\t\t\033[1;37;40mDeinstalliere \033[1;32;40m$EMU\033[0m"
		rm -f /var/bin/$EMU
		rm -f /usr/cs/Cams/Camd_3.902.sh
		rm -f /usr/cs/Cams/Camd_3.902.x86.rotate
		sed -e "/#\t$EMU/"d /usr/cs/cs.conf > /cs.conf
		cp /cs.conf  /usr/cs/cs.conf
		rm /cs.conf
		echo -e "\t\t\033[1;37;40mDeinstallation des \033[1;32;40m$EMU \033[1;37;40merfolgreich\033[0m\n"
	else
		echo -e "\n\t\t\033[1;31;40m$EMU \033[1;37;40mnicht installiert\033[0m\n"
		exit 0
	fi
	;;
esac
exit 0
